#!/usr/bin/env bash
set -ex

rm -fr public
nix shell nixpkgs#zola nixpkgs#nodejs_20 -c sh -c 'zola build && npm install && npm run abridge'
find public -type f -regextype posix-extended -regex '.*\.(htm|html|css|js|xml|xsl|txt|woff|woff2|svg|otf|eot|ttf)' -exec gzip --best -k -f {} \;
rsync -a --delete-after public/ /var/www/harald.hoyer.xyz/html/
chmod go-w -R /var/www/harald.hoyer.xyz/
